Skip to main content
POST
/
api
/
cdn
/
image
Create a stored image CDN URL
curl --request POST \
  --url https://convertly.sh/api/cdn/image \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "url": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
fileId
string<uuid>
required

Stored file ID for an image in Convertly Storage.

width
integer
Required range: 1 <= x <= 10000
height
integer
Required range: 1 <= x <= 10000
format
enum<string>
Available options:
jpg,
png,
webp,
avif
fit
enum<string>
Available options:
cover,
contain,
fill,
inside,
outside
quality
integer
Required range: 1 <= x <= 100
expiresIn
integer
default:604800

Signed URL lifetime in seconds.

Required range: 60 <= x <= 2592000

Response

Signed stored-image transform URL

url
string<uri>
required
expiresAt
string<date-time>
required